<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Yajra\Oci8\Eloquent\OracleEloquent;

class IprsNewServiceGroup extends OracleEloquent
{
    use HasFactory;

    protected $fillable = [
        'service_name'
    ];

    public function iprsNewService(): HasMany
    {
        return $this->hasMany(IprsNewService::class,  'service_group_id','id');
    }
    /*public function contractIprsServiceGroup(): HasMany
    {
        return $this->hasMany(ContractIprsServiceGroup::class,  'service_group_id','id');
    }*/

    public function permission(): HasMany
    {
        return $this->hasMany(CustomSpatiePermission::class, 'service_group_id');
    }

}
